package org.ts.ddcs.Entity;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;

public class RtuStatusEntity {
    private String stcd;
    private BigDecimal signal;//信号强度
    private BigDecimal voltage;//电源电压
    private BigDecimal temperature;//RTU温度
    private String uuid;//唯一识别码
    private String ccid;//物联卡CCID
    private Integer status=-1;//设备状态 0,SD  ,1正常
    private Integer error=-1;//异常值
    private List<Integer>  sendChancelIndex;
    private String  batteryStatus;//电池状态
    private String batteryIn;//充电状态
    private String batteryOut;//放电状态
    private BigDecimal batteryPower;//电池电量 ,百分比
    private BigDecimal batteryTemperature;//电池温度
    private BigDecimal sunPowerVoltage;//阵列电压
    private BigDecimal sunPowerElectric;//阵列电流
    private String waterSe;//水位计状态
    private String batteryVoltage;//电池电压状态
    private String acZt;//交流电充电状态
    private Timestamp pickTime;//报文接收时间
    private Timestamp collectTime;//采集时间
    private Timestamp sendDatagramTime;//发报时间

    public String getStcd() {
        return stcd;
    }

    public void setStcd(String stcd) {
        this.stcd = stcd;
    }

    public BigDecimal getSignal() {
        return signal;
    }

    public void setSignal(BigDecimal signal) {
        this.signal = signal;
    }

    public BigDecimal getVoltage() {
        return voltage;
    }

    public void setVoltage(BigDecimal voltage) {
        this.voltage = voltage;
    }

    public BigDecimal getTemperature() {
        return temperature;
    }

    public void setTemperature(BigDecimal temperature) {
        this.temperature = temperature;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getCcid() {
        return ccid;
    }

    public void setCcid(String ccid) {
        this.ccid = ccid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getError() {
        return error;
    }

    public void setError(Integer error) {
        this.error = error;
    }

    public List<Integer> getSendChancelIndex() {
        return sendChancelIndex;
    }

    public void setSendChancelIndex(List<Integer> sendChancelIndex) {
        this.sendChancelIndex = sendChancelIndex;
    }


    public String getBatteryStatus() {
        return batteryStatus;
    }

    public void setBatteryStatus(String batteryStatus) {
        this.batteryStatus = batteryStatus;
    }

    public String getBatteryIn() {
        return batteryIn;
    }

    public void setBatteryIn(String batteryIn) {
        this.batteryIn = batteryIn;
    }

    public String getBatteryOut() {
        return batteryOut;
    }

    public void setBatteryOut(String batteryOut) {
        this.batteryOut = batteryOut;
    }

    public BigDecimal getBatteryPower() {
        return batteryPower;
    }

    public void setBatteryPower(BigDecimal batteryPower) {
        this.batteryPower = batteryPower;
    }

    public BigDecimal getBatteryTemperature() {
        return batteryTemperature;
    }

    public void setBatteryTemperature(BigDecimal batteryTemperature) {
        this.batteryTemperature = batteryTemperature;
    }

    public BigDecimal getSunPowerVoltage() {
        return sunPowerVoltage;
    }

    public void setSunPowerVoltage(BigDecimal sunPowerVoltage) {
        this.sunPowerVoltage = sunPowerVoltage;
    }

    public BigDecimal getSunPowerElectric() {
        return sunPowerElectric;
    }

    public void setSunPowerElectric(BigDecimal sunPowerElectric) {
        this.sunPowerElectric = sunPowerElectric;
    }

    public String getWaterSe() {
        return waterSe;
    }

    public void setWaterSe(String waterSe) {
        this.waterSe = waterSe;
    }

    public String getBatteryVoltage() {
        return batteryVoltage;
    }

    public void setBatteryVoltage(String batteryVoltage) {
        this.batteryVoltage = batteryVoltage;
    }

    public String getAcZt() {
        return acZt;
    }

    public void setAcZt(String acZt) {
        this.acZt = acZt;
    }

    public Timestamp getPickTime() {
        return pickTime;
    }

    public void setPickTime(Timestamp pickTime) {
        this.pickTime = pickTime;
    }

    public Timestamp getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(Timestamp collectTime) {
        this.collectTime = collectTime;
    }

    public Timestamp getSendDatagramTime() {
        return sendDatagramTime;
    }

    public void setSendDatagramTime(Timestamp sendDatagramTime) {
        this.sendDatagramTime = sendDatagramTime;
    }
}
